<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('video_visitor', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->comment('浏览用户id');
            $table->integer('video_id')->comment('浏览视频id');
            $table->integer('video_user_id')->comment('视频所属用户id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('video_visitor');
    }
};
